Skip to content

Notes

Everything about your Notes

List all notes

Request

You can fetch a list of notes that are associated to a contact.

Security
bearerAuth
Path
idintegerrequired

The unique identifier of a contact.

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X GET \
  'https://api.intercom.io/contacts/{id}/notes' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

Successful response

Bodyapplication/json
typestring

String representing the object's type. Always has the value list.

Example:"list"
dataArray of objects(Note)

An array of notes.

total_countinteger

A count of the total number of notes.

Example:1
pagesobject or null(Cursor based pages)

Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

Response
{ "type": "list", "data": [ {}, {}, {} ], "total_count": 3, "pages": { "type": "pages", "next": null, "page": 1, "per_page": 50, "total_pages": 1 } }